import { Component } from '@angular/core';
import { TransactionProcessLogService } from '../transaction-process-log.service';

@Component({
  selector: 'app-transaction-process-log',
  templateUrl: './transaction-process-log.component.html',
  styleUrls: ['./transaction-process-log.component.css'],
})
export class TransactionProcessLogComponent {
  TransactionNumber: any;
  transactionLogs: any[] = []; // Property to hold the transaction logs
  constructor(private TransactionProcessLogSvc: TransactionProcessLogService) {}

  ngOnInIt(): void {}

  getAllRecord() {
    if (!this.TransactionNumber) {
      alert('Please Enter Transaction No.');
      return;
    }
    this.TransactionProcessLogSvc.getAllRecord(
      this.TransactionNumber
    ).subscribe((res: any) => {
      if (res?.length == 0) {
        alert('No data found.');
        return;
      }
      this.transactionLogs = res;
    });
  }
  toggleSideBar() {
    const bodyElement = document.body;
    bodyElement.classList.toggle('sidebar-collapsein');
  }
}
